function [weights,points] = quadrature(N)

if N==1
    weights = 4;
    points = [0 0];
    
elseif N == 2
    weights = [1 1 1 1];
    k = sqrt(1/3);
    points = [-k -k;
        k -k;
        -k k;
        k k];
    
elseif N == 3
    weights = [25 40 25 40 64 40 25 40 25]/81;
    k = (3/5)^(.5);
    points = [-k -k;
        0 -k;
        k -k;
        -k 0;
        0 0;
        k 0;
        -k k;
        0 k;
        k k];
    
elseif N==4
    points = zeros(2,N^2);
    w1 = (18 + sqrt(30))/36; w2 = (18 - sqrt(30))/36;
    k1 = sqrt((3 - 2*sqrt(1.2))/7); k2 = sqrt((3 + 2*sqrt(1.2))/7);
    
    points(1,:)=[-k2 -k1 k1 k2 -k2 -k1 k1 k2 -k2 -k1 k1 k2 -k2 -k1 k1 k2];
    points(2,:)=[-k2 -k2 -k2 -k2 -k1 -k1 -k1 -k1 k1 k1 k1 k1 k2 k2 k2 k2];
    weights=[w2*w2 w1*w2 w1*w2 w2*w2 ...
        w2*w1 w1*w1 w1*w1 w2*w1 ...
        w2*w1 w1*w1 w1*w1 w2*w1 ...
        w2*w2 w1*w2 w1*w2 w2*w2];
    points = points';
    
else error('Integration order is not implemented!')
    
end
end
