import sys
sys.path.insert(0, '/media/OS/Users/Maximilian Wollner/Documents/Studium/Diploma Thesis/Python/Semi-analytical Medial Layer Model')
from csv import reader

import fitting as fit
import numpy as np
import matplotlib.pyplot as plt

n = 1
plt.close('all')
fit.latex_setup()
_, (ax1, ax2) = plt.subplots(1, 2, figsize=tuple(1*14*0.39370*np.array([1, 0.5])))

#==============================================================================

filename = '/media/OS/Dokumente und Einstellungen/Maximilian Wollner/Documents/Studium/Diploma Thesis/Python/Semi-analytical Medial Layer Model/Experimental Data/Collagen Fibre/Histology/Preprocessed Data/In-plane Histogram - Media.csv'
phiExp = fit.read_csv(filename, 1)[:,0]
height, bins = np.histogram(phiExp, np.linspace(-90., 90., 73))
locations = 0.5*(bins[1:]+bins[:-1])
width = n*(bins[1:]-bins[:-1])

ax1.bar(locations, height, width=width, color='tab:grey')

# ax1.grid()

ax1.set_xlabel(r'In-plane Angle $\phi$ / ${}^\circ$')
ax1.set_xlim(-90.0, 90.0)
ax1.set_xticks(np.arange(-90.0, 90.1, 45.0))

ax1.set_ylabel(r'In-plane Angle Occurence / 1')
ax1.set_ylim(0.0,350.0)
ax1.set_yticks(np.arange(0.0, 351.0, 70.0))

fit.annotations(r'(a)', ax1)
#==============================================================================
 
filename = '/media/OS/Dokumente und Einstellungen/Maximilian Wollner/Documents/Studium/Diploma Thesis/Python/Semi-analytical Medial Layer Model/Experimental Data/Collagen Fibre/Histology/Preprocessed Data/Out-of-plane Histogram - Media.csv'
thetaExp = fit.read_csv(filename, 1)[:,0]
height, bins = np.histogram(thetaExp, np.linspace(-90., 90., 73))
locations = 0.5*(bins[1:]+bins[:-1])
width = n*(bins[1:]-bins[:-1])

ax2.bar(locations, height, width=width, color='tab:gray')

# ax2.grid()

ax2.set_xlabel(r'Out-of-plane Angle $\theta$ / ${}^\circ$')
ax2.set_xlim(-90.0, 90.0)
ax2.set_xticks(np.arange(-90.0, 90.1, 45.0))

ax2.set_ylabel(r'Out-of-plane Angle Occurence / 1')
ax2.set_ylim(0.0,120.0)
ax2.set_yticks(np.arange(0.0, 126, 25))

fit.annotations(r'(b)', ax2)
#==============================================================================

plt.tight_layout(pad=0.1, w_pad=2.0)
plt.savefig('/media/OS/Dokumente und Einstellungen/Maximilian Wollner/Documents/Studium/Diploma Thesis/Chapters/Regression of Histological Parameters/histogram_examples.pdf')
plt.show()




